[arch-commits] Commit in qtiplot/repos (5 files)
Ronald van Haren
ronald at archlinux.org
Wed Nov 5 10:59:26 UTC 2008
Date: Wednesday, November 5, 2008 @ 05:59:25
Author: ronald
Revision: 18420
Merged revisions 18419 via svnmerge from
svn+ssh://archlinux.org/home/svn-packages/qtiplot/trunk
........
r18419 | ronald | 2008-11-05 11:58:32 +0100 (Wed, 05 Nov 2008) | 1 line
upgpkg: qtiplot 0.9.7.3-1
........
Added:
qtiplot/repos/extra-x86_64/dynamicgsl.patch
(from rev 18419, qtiplot/trunk/dynamicgsl.patch)
qtiplot/repos/extra-x86_64/qtiplot-0.9.7.3-qwt3d.patch
(from rev 18419, qtiplot/trunk/qtiplot-0.9.7.3-qwt3d.patch)
Modified:
qtiplot/repos/extra-x86_64/ (properties)
qtiplot/repos/extra-x86_64/PKGBUILD
qtiplot/repos/extra-x86_64/qtiplot.archlinux.patch
-----------------------------+
PKGBUILD | 43 +++++++++++---------
dynamicgsl.patch | 87 ++++++++++++++++++++++++++++++++++++++++++
qtiplot-0.9.7.3-qwt3d.patch | 21 ++++++++++
qtiplot.archlinux.patch | 61 ++++++++++++++++-------------
4 files changed, 165 insertions(+), 47 deletions(-)
Property changes on: qtiplot/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
- /qtiplot/trunk:1-17009
+ /qtiplot/trunk:1-18419
Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD 2008-11-05 10:58:32 UTC (rev 18419)
+++ extra-x86_64/PKGBUILD 2008-11-05 10:59:25 UTC (rev 18420)
@@ -3,36 +3,40 @@
# Contributor: damir <damir at archlinux.org>
pkgname=qtiplot
-pkgver=0.9.7.2
-pkgrel=2
+pkgver=0.9.7.3
+pkgrel=1
pkgdesc="Data analysis and scientific plotting - free clone of Origin"
arch=("i686" "x86_64")
url="http://soft.proindependent.com/qtiplot.html"
-depends=('qwtplot3d>=0.2.7' 'muparser>=1.28' 'gsl' 'python>=2.6' 'pyqt' 'sip')
+depends=('qwtplot3d>=0.2.7' 'muparser>=1.30' 'gsl' 'python>=2.6' 'pyqt' 'sip')
# build against static liborigin provided in the package ...
# as systemwide one doesn't provide all needed functions
makedepends=('boost>=1.36')
license=("GPL2")
+
source=("http://soft.proindependent.com/src/qtiplot-$pkgver.tar.bz2" \
- "$pkgname.desktop" \
- "$pkgname.png" \
- "qtiplot-gcc4.3.patch" \
- "liborigin-gcc4.3.patch"
- "qtiplot.archlinux.patch")
-md5sums=('ff1bea2f8b3e7722ae75820c3dc33b78'
- '56bd53f4f1367c285086acb969f13348'
- 'ad8affbd6f0d5cbdcde46c923ee2668a'
- '927149a0c3623209d4aaef867031ba76'
- 'ad2333cfb8df37d33a6449c2c49ec945'
- 'c8a8024230e01c518f6bb60c01d3663e')
+ "$pkgname.desktop" "$pkgname.png" \
+ "qtiplot-gcc4.3.patch" "liborigin-gcc4.3.patch" \
+ "qtiplot.archlinux.patch" "qtiplot-0.9.7.3-qwt3d.patch" \
+ "dynamicgsl.patch")
+md5sums=('814c6719643304626c33a9073293f77b' '56bd53f4f1367c285086acb969f13348'
+ 'ad8affbd6f0d5cbdcde46c923ee2668a' '927149a0c3623209d4aaef867031ba76'
+ 'ad2333cfb8df37d33a6449c2c49ec945' '3e1c6ba4997d587ebe25118f86f8e1b3'
+ '20ae1d441f299aa2c2c54e3bed3a9786' '2c858d26255ecde7bcd157515ed767d6')
+
build() {
- cd $srcdir/$pkgname-$pkgver/$pkgname
# patching
+
+ cd $srcdir/$pkgname-$pkgver
+ patch -Np0 < $srcdir/dynamicgsl.patch || return 1
+
+ cd $srcdir/$pkgname-$pkgver/$pkgname
patch -Np0 -i $srcdir/qtiplot-gcc4.3.patch || return 1
+ patch -Np0 -i $srcdir/qtiplot-0.9.7.3-qwt3d.patch || return 1
+ patch -Np0 -i $srcdir/liborigin-gcc4.3.patch || return 1
patch -Np0 -i $srcdir/qtiplot.archlinux.patch || return 1
- patch -Np0 -i $srcdir/liborigin-gcc4.3.patch || return 1
export QMAKESPEC=linux-g++
@@ -43,12 +47,11 @@
# make it nice:
install -D -m644 $srcdir/$pkgname.png \
- $pkgdir/usr/share/pixmaps/$pkgname.png
+ $pkgdir/usr/share/pixmaps/$pkgname.png || return 1
install -D -m644 $srcdir/$pkgname.desktop \
- $pkgdir/usr/share/applications/$pkgname.desktop
+ $pkgdir/usr/share/applications/$pkgname.desktop || return 1
# install wordlist for autocompletion
install -Dm644 $srcdir/$pkgname-$pkgver/$pkgname/qti_wordlist.txt \
- $pkgdir/usr/bin/qti_wordlist.txt
+ $pkgdir/usr/bin/qti_wordlist.txt || return 1
}
-
Copied: qtiplot/repos/extra-x86_64/dynamicgsl.patch (from rev 18419, qtiplot/trunk/dynamicgsl.patch)
===================================================================
--- extra-x86_64/dynamicgsl.patch (rev 0)
+++ extra-x86_64/dynamicgsl.patch 2008-11-05 10:59:25 UTC (rev 18420)
@@ -0,0 +1,87 @@
+diff -Naur fitPlugins/exp_saturation/exp_saturation.pro fitPlugins.new/exp_saturation/exp_saturation.pro
+--- fitPlugins/exp_saturation/exp_saturation.pro 2008-11-05 00:06:49.884616891 +0100
++++ fitPlugins.new/exp_saturation/exp_saturation.pro 2008-11-05 00:08:51.259644717 +0100
+@@ -12,12 +12,13 @@
+ DESTDIR = ../
+
+ # statically link against GSL in 3rdparty
+-INCLUDEPATH += ../../3rdparty/gsl/include/
+-LIBS += ../../3rdparty/gsl/lib/libgsl.a
+-LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
++#INCLUDEPATH += ../../3rdparty/gsl/include/
++#LIBS += ../../3rdparty/gsl/lib/libgsl.a
++#LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
+
+ #dynamically link against GSL installed system-wide
+-#unix:LIBS += -L /usr/lib$${libsuff} -lgsl -lgslcblas
++INCLUDEPATH += /usr/include/gsl
++unix:LIBS += $$system(pkg-config --libs gsl)
+
+ target.path=/usr/lib$${libsuff}/qtiplot/plugins
+ INSTALLS += target
+diff -Naur fitPlugins/explin/explin.pro fitPlugins.new/explin/explin.pro
+--- fitPlugins/explin/explin.pro 2008-10-13 09:43:31.000000000 +0200
++++ fitPlugins.new/explin/explin.pro 2008-11-05 00:09:13.118018704 +0100
+@@ -12,12 +12,13 @@
+ DESTDIR = ../
+
+ # statically link against GSL in 3rdparty
+-INCLUDEPATH += ../../3rdparty/gsl/include/
+-LIBS += ../../3rdparty/gsl/lib/libgsl.a
+-LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
++#INCLUDEPATH += ../../3rdparty/gsl/include/
++#LIBS += ../../3rdparty/gsl/lib/libgsl.a
++#LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
+
+ #dynamically link against GSL installed system-wide
+-#unix:LIBS += -L /usr/lib$${libsuff} -lgsl -lgslcblas
++INCLUDEPATH += /usr/include/gsl
++unix:LIBS += $$system(pkg-config --libs gsl)
+
+ target.path=/usr/lib$${libsuff}/qtiplot/plugins
+ INSTALLS += target
+diff -Naur fitPlugins/fitRational0/fitRational0.pro fitPlugins.new/fitRational0/fitRational0.pro
+--- fitPlugins/fitRational0/fitRational0.pro 2008-10-13 18:14:52.000000000 +0200
++++ fitPlugins.new/fitRational0/fitRational0.pro 2008-11-05 00:09:28.755220241 +0100
+@@ -12,14 +12,15 @@
+ DESTDIR = ../
+
+ # statically link against GSL in 3rdparty
+-INCLUDEPATH += ../../3rdparty/gsl/include/
+-LIBS += ../../3rdparty/gsl/lib/libgsl.a
+-LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
++#INCLUDEPATH += ../../3rdparty/gsl/include/
++#LIBS += ../../3rdparty/gsl/lib/libgsl.a
++#LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
+
+ #dynamically link against GSL installed system-wide
+-#unix:LIBS += -L /usr/lib$${libsuff} -lgsl -lgslcblas
++INCLUDEPATH += /usr/include/gsl
++unix:LIBS += $$system(pkg-config --libs gsl)
+
+ target.path=/usr/lib$${libsuff}/qtiplot/plugins
+ INSTALLS += target
+
+-SOURCES += fitRational0.cpp
++SOURCES += fitRational0.cpp
+diff -Naur fitPlugins/fitRational1/fitRational1.pro fitPlugins.new/fitRational1/fitRational1.pro
+--- fitPlugins/fitRational1/fitRational1.pro 2007-10-29 00:44:06.000000000 +0100
++++ fitPlugins.new/fitRational1/fitRational1.pro 2008-11-05 00:09:42.154619945 +0100
+@@ -12,12 +12,13 @@
+ DESTDIR = ../
+
+ # statically link against GSL in 3rdparty
+-INCLUDEPATH += ../../3rdparty/gsl/include/
+-LIBS += ../../3rdparty/gsl/lib/libgsl.a
+-LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
++#INCLUDEPATH += ../../3rdparty/gsl/include/
++#LIBS += ../../3rdparty/gsl/lib/libgsl.a
++#LIBS += ../../3rdparty/gsl/lib/libgslcblas.a
+
+ #dynamically link against GSL installed system-wide
+-#unix:LIBS += -L /usr/lib$${libsuff} -lgsl -lgslcblas
++INCLUDEPATH += /usr/include/gsl
++unix:LIBS += $$system(pkg-config --libs gsl)
+
+ target.path=/usr/lib$${libsuff}/qtiplot/plugins
+ INSTALLS += target
Copied: qtiplot/repos/extra-x86_64/qtiplot-0.9.7.3-qwt3d.patch (from rev 18419, qtiplot/trunk/qtiplot-0.9.7.3-qwt3d.patch)
===================================================================
--- extra-x86_64/qtiplot-0.9.7.3-qwt3d.patch (rev 0)
+++ extra-x86_64/qtiplot-0.9.7.3-qwt3d.patch 2008-11-05 10:59:25 UTC (rev 18420)
@@ -0,0 +1,21 @@
+diff -Naur qtiplot-0.9.7.3/qtiplot/src/plot3D/Graph3D.cpp qtiplot-0.9.7.3.new/qtiplot/src/plot3D/Graph3D.cpp
+--- src/plot3D/Graph3D.cpp 2008-10-20 06:32:35.000000000 -0400
++++ src/plot3D/Graph3D.cpp 2008-10-24 11:04:56.000000000 -0400
+@@ -777,7 +777,7 @@
+ void Graph3D::setNumbersFont(const QFont& font)
+ {
+ sp->coordinates()->setNumberFont (font);
+- sp->legend()->axis()->setNumberFont (font);
++ //sp->legend()->axis()->setNumberFont (font);
+ sp->makeCurrent();
+ sp->updateGL();
+ }
+@@ -1570,7 +1570,7 @@
+ void Graph3D::setNumbersColor(const QColor& numColor)
+ {
+ if(numCol != numColor){
+- sp->legend()->axis()->setNumberColor(Qt2GL(numColor));
++ //sp->legend()->axis()->setNumberColor(Qt2GL(numColor));
+ sp->coordinates()->setNumberColor(Qt2GL(numColor));
+ numCol = numColor;
+ }
Modified: extra-x86_64/qtiplot.archlinux.patch
===================================================================
--- extra-x86_64/qtiplot.archlinux.patch 2008-11-05 10:58:32 UTC (rev 18419)
+++ extra-x86_64/qtiplot.archlinux.patch 2008-11-05 10:59:25 UTC (rev 18420)
@@ -1,64 +1,71 @@
---- qtiplot.pro 2008-09-30 15:16:15.807594378 +0200
-+++ qtiplot.pro.archlinux 2008-09-30 15:19:19.170958588 +0200
-@@ -17,7 +17,7 @@
- # Uncomment the following line if you want to perform a custom installation using
- # the *.path variables defined bellow.
- ######################################################################################
+--- qtiplot.pro 2008-11-05 11:32:26.973838219 +0100
++++ qtiplot.pro.new 2008-11-05 11:32:54.793839850 +0100
+@@ -23,7 +23,7 @@
+ win32:LIBS += ../3rdparty/libpng/libpng.a
+
+ # Uncomment the following line if you want to perform a custom installation using the *.path variables defined bellow.
-#CONFIG += CustomInstall
+CONFIG += CustomInstall
CONFIG += release
#CONFIG += debug
-@@ -27,13 +27,11 @@
+@@ -33,13 +33,12 @@
#!!! Warning: You must modify these paths according to your computer settings
#############################################################################
-INCLUDEPATH += ../3rdparty/muparser/include
-INCLUDEPATH += ../3rdparty/qwtplot3d/include
-INCLUDEPATH += ../3rdparty/qwt/src
++INCLUDEPATH += /usr/include
++INCLUDEPATH += /usr/include/qwtplot3d
+INCLUDEPATH += /usr/include/qwt
-+INCLUDEPATH += /usr/include/qwtplot3d
-+INCLUDEPATH += /usr/include/boost
INCLUDEPATH += ../3rdparty/liborigin
-INCLUDEPATH += ../3rdparty/gsl/include
-INCLUDEPATH += ../3rdparty/zlib123/include
-INCLUDEPATH += ../3rdparty/boost_1_36_0
-+INCLUDEPATH += /usr/include
++INCLUDEPATH += /usr/include/gsl
++INCLUDEPATH += /usr/include/boost
##################### 3rd PARTY LIBRARIES SECTION ###########################
#!!! Warning: You must modify these paths according to your computer settings
-@@ -42,17 +40,19 @@
+@@ -48,18 +47,18 @@
##################### Linux (Mac OS X) ######################################
# statically link against libraries in 3rdparty
-unix:LIBS += ../3rdparty/muparser/lib/libmuparser.a
--unix:LIBS += ../3rdparty/qwtplot3d/lib/libqwtplot3d.a
-unix:LIBS += ../3rdparty/qwt/lib/libqwt.a
-unix:LIBS += ../3rdparty/gsl/lib/libgsl.a
-unix:LIBS += ../3rdparty/gsl/lib/libgslcblas.a
+-unix:LIBS += /usr/local/lib/libboost_date_time-gcc41-mt.a
+-unix:LIBS += /usr/local/lib/libboost_thread-gcc41-mt.a
+#unix:LIBS += ../3rdparty/muparser/lib/libmuparser.a
-+#unix:LIBS += ../3rdparty/qwtplot3d/lib/libqwtplot3d.a
+#unix:LIBS += ../3rdparty/qwt/lib/libqwt.a
+#unix:LIBS += ../3rdparty/gsl/lib/libgsl.a
+#unix:LIBS += ../3rdparty/gsl/lib/libgslcblas.a
++#unix:LIBS += /usr/local/lib/libboost_date_time-gcc41-mt.a
++#unix:LIBS += /usr/local/lib/libboost_thread-gcc41-mt.a
# dynamically link against dependencies if they are installed system-wide
--#unix:LIBS += -lmuparser
--#unix:LIBS += -lqwtplot3d
--#unix:LIBS += -lqwt
--#unix:LIBS += -lgsl -lgslcblas
-+unix:LIBS += -lmuparser
-+unix:LIBS += -lqwtplot3d
-+unix:LIBS += -lqwt
-+unix:LIBS += -lgsl -lgslcblas
-+#unix:LIBS += -lorigin
-+unix:LIBS += -lz
-
+ #unix:LIBS += -lmuparser
+ #unix:LIBS += -lqwt
+ #unix:LIBS += -lgsl -lgslcblas
+-
++unix:LIBS += -lmuparser -lqwtplot3d -lqwt $$system(pkg-config --libs gsl) -lz -lboost_date_time -lboost_thread-mt
##################### Windows ###############################################
-@@ -569,4 +569,4 @@
- $${SIP_DIR}/sipqtiConvolution.cpp \
- $${SIP_DIR}/sipqtiDeconvolution.cpp \
+ win32:LIBS += ../3rdparty/muparser/lib/libmuparser.a
+@@ -184,7 +183,7 @@
+ ################# Default Modules #############################
+ ###############################################################
+
+-include(../3rdparty/qwtplot3d/qwtplot3d.pri)
++#include(../3rdparty/qwtplot3d/qwtplot3d.pri)
+ include(src/analysis/analysis.pri)
+ include(src/core/core.pri)
+ include(src/lib/libqti.pri)
+@@ -242,4 +241,4 @@
+ }
}
+
-###############################################################
+###############################################################
More information about the arch-commits
mailing list